package model;

import java.awt.Dimension;
import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;

import javax.swing.JFrame;

import vplotter.model.Area;

public class PlotterSimulator extends JFrame{
	public PlotterSimulator() {
		
		Dimension d = new Dimension(800,600);
		final PlotterModel model = new PlotterModel(new Area(d.height,d.width));
				
		this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		this.setTitle("Simulador de Plotter Vertical");
		
		this.setSize(d);
		this.add(new DrawPanelSimulator(model));
		this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

		this.addKeyListener(new KeyListener() {

			@Override
			public void keyPressed(KeyEvent e) {
				if (e.getKeyCode() == KeyEvent.VK_NUMPAD8) {
					model.getLineA().p2.y--;
					model.getLineB().p1.y--;
				} else if (e.getKeyCode() == KeyEvent.VK_NUMPAD2) {
					model.getLineA().p2.y++;
					model.getLineB().p1.y++;
				} else if (e.getKeyCode() == KeyEvent.VK_NUMPAD4) {
					model.getLineA().p2.x--;
					model.getLineB().p1.x--;
				} else if (e.getKeyCode() == KeyEvent.VK_NUMPAD6) {
					model.getLineA().p2.x++;
					model.getLineB().p1.x++;
				} else if (e.getKeyCode() == KeyEvent.VK_NUMPAD7) {
					model.passoHorarioMotorEsquerda();
				} else if (e.getKeyCode() == KeyEvent.VK_NUMPAD9) {
					model.passoHorarioMotorDireita();
				} else if (e.getKeyCode() == KeyEvent.VK_NUMPAD1) {
					model.passoHorarioAntiMotorEsquerda();
				} else if (e.getKeyCode() == KeyEvent.VK_NUMPAD3) {
					model.passoHorarioAntiMotorDireita();
				}
				repaint();
			}

			@Override
			public void keyReleased(KeyEvent e) {

			}
			@Override
			public void keyTyped(KeyEvent e) {

			}
		});
		
	}
	public static void main(String[] args) {
		PlotterSimulator ps = new PlotterSimulator();
		ps.setVisible(true);
	}
}
