package vplotter;

import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;
import java.util.List;

import javax.swing.JPanel;

import vplotter.model.Line;

public class DrawPanel extends JPanel{

	private final List<Line> lines;

	public DrawPanel(List<Line> lines){
		this.lines = lines;
		this.setPreferredSize(new Dimension(800,600));
	}
	@Override
	public void update(Graphics g) {
		super.update(g);
		this.paint(g);
	}
	
	@Override
	public void paint(Graphics g) {
		final double scale = 1.0;
		g.setColor(Color.black);
		for (Line line : this.lines) {
//			System.out.println(line);
			g.drawLine((int)( line.p1.x * scale), (int)( line.p1.y * scale),
					(int) (line.p2.x * scale), (int) (line.p2.y * scale));
		}
	}
}
